.alert {
    display: none;
}

.font-22 {
    font-size: 22px !important;
}

.brand-link .brand-image {
    float: none;
    line-height: .8;
    margin-left: 0px;
    margin-right: 0px;
    margin-top: 0px;
    /*max-height: 90px;*/
    width: 100%;
}

a {
    color: #7f7f7f;
    cursor: pointer;
}

a:hover {
    color: #7f7f7f;
    text-decoration: none;
    cursor: pointer;
}

.span-color {
    color: #da3439 !important;
}

.custom-control-input:checked ~ .custom-control-label::before {
    color: #fff;
    border-color: #28a745;
    background-color: #28a745;
    box-shadow: none;
}

.custom-switch .custom-control-label::before {
    color: #fff;
    border-color: #dc3545;
    background-color: #dc3545;
    box-shadow: none;
}

.custom-switch .custom-control-input:checked ~ .custom-control-label::after {
    background-color: #ffffff;
}

.custom-switch .custom-control-label::after {
    background-color: #ffffff;

}

.required label:after {
    content: " *";
    color: red;
}

.display-none {
    display: none;
}

#preloader {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #eff3f6;
    z-index: 9999999;
    opacity: 0.8;
}

#prestatus {
    width: 40px;
    height: 40px;
    position: absolute;
    left: 50%;
    top: 50%;
    margin: -20px 0 0 -20px;
}

.spinner {
    position: absolute;
    width: 78px;
    height: 78px;
    left: 50%;
    margin-left: -39px;
    margin-top: -39px;
}

.spinner:before {
    content: '';
    position: absolute;
    width: 45px;
    height: 45px;
    top: 50%;
    margin-top: -23px;
    left: 50%;
    margin-left: -23px;
    border-width: 2px 1px;
    border-style: solid;
    /*border-color: $ info rgba($ info, 0.3);*/
    border-radius: 50%;
    -o-border-radius: 50%;
    -ms-border-radius: 50%;
    -webkit-border-radius: 50%;
    -moz-border-radius: 50%;
    box-sizing: border-box;
    -o-box-sizing: border-box;
    -ms-box-sizing: border-box;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    animation: spin 3.45s infinite;
    -o-animation: spin 3.45s infinite;
    -ms-animation: spin 3.45s infinite;
    -webkit-animation: spin 3.45s infinite;
    -moz-animation: spin 3.45s infinite;
}

.spinner:after {
    content: '';
    position: absolute;
    width: 12px;
    height: 12px;
    top: 50%;
    margin-top: -6px;
    left: 50%;
    margin-left: -6px;
    /*background-color:  info;*/
    border-radius: 50%;
    -o-border-radius: 50%;
    -ms-border-radius: 50%;
    -webkit-border-radius: 50%;
    -moz-border-radius: 50%;
    box-sizing: border-box;
    -o-box-sizing: border-box;
    -ms-box-sizing: border-box;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    animation: pulse 6.9s infinite, borderPulse 6.9s infinite;
    -o-animation: pulse 6.9s infinite, borderPulse 6.9s infinite;
    -ms-animation: pulse 6.9s infinite, borderPulse 6.9s infinite;
    -webkit-animation: pulse 6.9s infinite, borderPulse 6.9s infinite;
    -moz-animation: pulse 6.9s infinite, borderPulse 6.9s infinite;
}

@keyframes spin {
    0% {
        transform: rotate(0deg);
    }
    50% {
        transform: rotate(360deg);
    }
    100% {
        transform: rotate(1080deg);
    }
}

@-o-keyframes spin {
    0% {
        -o-transform: rotate(0deg);
    }
    50% {
        -o-transform: rotate(360deg);
    }
    100% {
        -o-transform: rotate(1080deg);
    }
}

@-ms-keyframes spin {
    0% {
        -ms-transform: rotate(0deg);
    }
    50% {
        -ms-transform: rotate(360deg);
    }
    100% {
        -ms-transform: rotate(1080deg);
    }
}

@-webkit-keyframes spin {
    0% {
        -webkit-transform: rotate(0deg);
    }
    50% {
        -webkit-transform: rotate(360deg);
    }
    100% {
        -webkit-transform: rotate(1080deg);
    }
}

@-moz-keyframes spin {
    0% {
        -moz-transform: rotate(0deg);
    }
    50% {
        -moz-transform: rotate(360deg);
    }
    100% {
        -moz-transform: rotate(1080deg);
    }
}

@keyframes pulse {
    0% {
        background-color: rgba($ info, 0.2);
    }
    13% {
        background-color: rgba($ info, 0.2);
    }
    15% {
        background-color: rgba($ info, 0.9);
    }
    28% {
        background-color: rgba($ info, 0.9);
    }
    30% {
        background-color: rgba($ info, 0.2);
    }
    43% {
        background-color: rgba($ info, 0.2);
    }
    45% {
        background-color: rgba($ info, 0.9);
    }
    70% {
        background-color: rgba($ info, 0.9);
    }
    74% {
        background-color: rgba($ info, 0.2);
    }
    100% {
        background-color: rgba($ info, 0.9);
    }
}

@-o-keyframes pulse {
    0% {
        background-color: rgba($ info, 0.2);
    }
    13% {
        background-color: rgba($ info, 0.2);
    }
    15% {
        background-color: rgba($ info, 0.9);
    }
    28% {
        background-color: rgba($ info, 0.9);
    }
    30% {
        background-color: rgba($ info, 0.2);
    }
    43% {
        background-color: rgba($ info, 0.2);
    }
    45% {
        background-color: rgba($ info, 0.9);
    }
    70% {
        background-color: rgba($ info, 0.9);
    }
    74% {
        background-color: rgba($ info, 0.2);
    }
    100% {
        background-color: rgba($ info, 0.9);
    }
}

@-ms-keyframes pulse {
    0% {
        background-color: rgba($ info, 0.2);
    }
    13% {
        background-color: rgba($ info, 0.2);
    }
    15% {
        background-color: rgba($ info, 0.9);
    }
    28% {
        background-color: rgba($ info, 0.9);
    }
    30% {
        background-color: rgba($ info, 0.2);
    }
    43% {
        background-color: rgba($ info, 0.2);
    }
    45% {
        background-color: rgba($ info, 0.9);
    }
    70% {
        background-color: rgba($ info, 0.9);
    }
    74% {
        background-color: rgba($ info, 0.2);
    }
    100% {
        background-color: rgba($ info, 0.9);
    }
}

@-webkit-keyframes pulse {
    0% {
        background-color: rgba($ info, 0.2);
    }
    13% {
        background-color: rgba($ info, 0.2);
    }
    15% {
        background-color: rgba($ info, 0.9);
    }
    28% {
        background-color: rgba($ info, 0.9);
    }
    30% {
        background-color: rgba($ info, 0.2);
    }
    43% {
        background-color: rgba($ info, 0.2);
    }
    45% {
        background-color: rgba($ info, 0.9);
    }
    70% {
        background-color: rgba($ info, 0.9);
    }
    74% {
        background-color: rgba($ info, 0.2);
    }
    100% {
        background-color: rgba($ info, 0.9);
    }
}

@-moz-keyframes pulse {
    0% {
        background-color: rgba($ info, 0.2);
    }
    13% {
        background-color: rgba($ info, 0.2);
    }
    15% {
        background-color: rgba($ info, 0.9);
    }
    28% {
        background-color: rgba($ info, 0.9);
    }
    30% {
        background-color: rgba($ info, 0.2);
    }
    43% {
        background-color: rgba($ info, 0.2);
    }
    45% {
        background-color: rgba($ info, 0.9);
    }
    70% {
        background-color: rgba($ info, 0.9);
    }
    74% {
        background-color: rgba($ info, 0.2);
    }
    100% {
        background-color: rgba($ info, 0.9);
    }
}

@keyframes borderPulse {
    0% {
        box-shadow: 0 0 0 0 rgb(255, 255, 255), 0 0 0 1px rgba($ info, 0.8);
    }
    40% {
        box-shadow: 0 0 0 1px rgb(255, 255, 255), 0 0 0 2px rgba($ info, 0.8);
    }
    80% {
        box-shadow: 0 0 0 3px $ white, 0 0 1px 3px rgba($ info, 0.8);
    }
}

@-o-keyframes borderPulse {
    0% {
        box-shadow: 0 0 0 0 rgb(255, 255, 255), 0 0 0 1px rgba($ info, 0.8);
    }
    40% {
        box-shadow: 0 0 0 1px rgb(255, 255, 255), 0 0 0 2px rgba($ info, 0.8);
    }
    80% {
        box-shadow: 0 0 0 3px $ white, 0 0 1px 3px rgba($ info, 0.8);
    }
}

@-ms-keyframes borderPulse {
    0% {
        box-shadow: 0 0 0 0 rgb(255, 255, 255), 0 0 0 1px rgba($ info, 0.8);
    }
    40% {
        box-shadow: 0 0 0 1px rgb(255, 255, 255), 0 0 0 2px rgba($ info, 0.8);
    }
    80% {
        box-shadow: 0 0 0 3px $ white, 0 0 1px 3px rgba($ info, 0.8);
    }
}

@-webkit-keyframes borderPulse {
    0% {
        box-shadow: 0 0 0 0 rgb(255, 255, 255), 0 0 0 1px rgba($ info, 0.8);
    }
    40% {
        box-shadow: 0 0 0 1px rgb(255, 255, 255), 0 0 0 2px rgba($ info, 0.8);
    }
    80% {
        box-shadow: 0 0 0 3px $ white, 0 0 1px 3px rgba($ info, 0.8);
    }
}

@-moz-keyframes borderPulse {
    0% {
        box-shadow: 0 0 0 0 rgb(255, 255, 255), 0 0 0 1px rgba($ info, 0.8);
    }
    40% {
        box-shadow: 0 0 0 1px rgb(255, 255, 255), 0 0 0 2px rgba($ info, 0.8);
    }
    80% {
        box-shadow: 0 0 0 3px $ white, 0 0 1px 3px rgba($ info, 0.8);
    }
}

@-webkit-keyframes load8 {
    0% {
        -webkit-transform: rotate(0deg);
        transform: rotate(0deg);
    }
    100% {
        -webkit-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}

@keyframes load8 {
    0% {
        -webkit-transform: rotate(0deg);
        transform: rotate(0deg);
    }
    100% {
        -webkit-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}

a.ajax-active .card {
    background-color: lightgray;
}

input.form-control.text-center.signal.ajax-signal-active {
    background: lightgray;
}

.online-icon {
    position: absolute;
    top: -6px;
    color: red;
    right: -9px;
}

td.hover-cls:hover {
    background: #da3439;
}

.disable_class {
    opacity: 0.5;
    pointer-events: none !important;
    color: black;
}


body.arabic ul.nav.nav-pills.nav-sidebar.flex-column li.nav-item i.fa-angle-left {
    float: left;
    text-align: left !important;
}


body.arabic select#order_status_id {
    margin: 0 0 0 11px !important;
    float: left !important;
}


body.arabic .form-group label.col-form-label.text-right {
    width: 100%;
}

body.arabic .form-group label {
    width: 100%;
}


body.arabic .table.discount-product {
    direction: ltr !important;
}

/*body.arabic .table.right-text-table
{ direction:ltr !important; }*/


body.arabic .table.right-text-table span.btn.btn-warning.btn-sm span {
    float: right;
}

.direction-rtl {
    direction: rtl;
}

.modal-dialog.lang-arabic button.close {
    margin: -10px 0 0 -20px;
}

.modal-dialog.lang-arabic button#btnSubmit {
    margin: 0 10px 0 0;
}

.ar-lang-search #data-list_filter input.form-control.form-control-sm {
    position: absolute;
    left: 61px;
    top: 0;
}

.ar-lang-search #data-list_filter {
    position: relative;
    text-align: left;
    padding: 5px;
}

.btn-warning {
    color: #fff !important;
}

.btn-danger {
    color: #fff !important;
}

body {
    overflow-x: hidden;
}

.main-header .nav-link {
    height: auto;
    position: relative;
}

img.form_img {
    width: 30px;
    margin-right: 15px;
}

.removeElement.closebtn {
    margin-top: 2.5em;
}

.removeElement.trashbtn {
    margin-top: 1.3em;
}

.chat-area-duration {
    position: relative;
    font-size: 14px;
    text-align: center;
    margin: 12px 0;
}

.chat-area-duration:before {
    content: '';
    position: absolute;
    left: 0;
    top: 50%;
    transform: translateY(-50);
    z-index: 0;
    background-color: #A9A9A9;
    color: #A9A9A9;
    width: 100%;
    height: 1px;
}

.chat-area-duration > span {
    background-color: #F9F9F9;
    padding: 0 12px;
    position: relative;
    z-index: 3;
}

.chat-footer-action {
    display: flex;
    align-items: center;
    position: absolute;
    right: 18px;
    top: 50%;
    transform: translateY(-50%);
    z-index: 5;
}

.chat-footer-action form label {
    margin-bottom: 0;
    cursor: pointer;
}

.chat-footer-action .has-link {
    margin: 0 8px;
    cursor: pointer;
}

.card-footer textarea.form-control {
    padding: 10px 150px 10px 20px;
    max-height: 48px;
    border-radius: 6px;
    color: #7C7C7C;
    border-color: #EBEBEB;
    font-size: 16px;
}

.direct-chat-text > img {
    max-width: 300px;
    max-height: 210px;
    object-fit: contain;
}

.direct-chat .card-header {
    display: flex;
    align-items: center;
}

.direct-chat .card-header .direct-chat-img {
    margin-right: 12px;
}

.direct-chat-msg {
    display: flex;
    flex-wrap: wrap;
}

.direct-chat-msg.right {
    flex-direction: row-reverse;
}

.direct-chat-msg.right .direct-chat-infos {
    width: 100%;
}

.direct-chat-msg.right > .direct-chat-text {
    margin-right: 20px;
}

.direct-chat-primary .right .direct-chat-msg-area .direct-chat-text {
    background: #007bff;
    border-color: #007bff;
    color: #fff;
}

.direct-chat-primary .right .direct-chat-msg-area .direct-chat-text::after, .direct-chat-primary .right .direct-chat-msg-area .direct-chat-text::before {
    border-left-color: #007bff;
}

@media only screen and (max-width: 600px) {
    .direct-chat-text > img {
        max-width: 220px;
        max-height: 110px;
    }
}

@media only screen and (max-width: 480px) {
    .direct-chat-text > img {
        max-width: 180px;
        max-height: 90px;
    }
}


/* Ramnivas date 08-09-2023 */

.sidebar-nav ul.navbar-nav {
    align-items: center;
}

@media (max-width: 767px) {
    .card-body .form-control {
        margin-bottom: 5px;
    }

    .border-0 .btn-primary {
        margin-top: 10px;
    }

    .dater-new {
        margin-bottom: 8px;
    }

    .spes-box.mt-2 {
        margin-top: 0 !important;
    }


    /* date 11-09-2023  */
    .form-mainslectbox .pl-5 {
        padding-left: 7.5px !important;
    }

}

@media (max-width: 576px) {
    .card .dash-graph {
        display: inline-block !important;
    }

    .sidebar-nav .language-box {
        padding-left: 0 !important;
        padding-right: 0 !important;
    }

    /* date 11-09-2023  */

}

@media (max-width: 380px) {
    .form-mainslectbox .pl-5 {
        padding-right: 17px;
    }
}

.brand-image-logo{
    width: 73%;
    text-align: center;
    margin: 0 auto;
}
